Package weka.knowledgeflow

# Interface FlowLoader

All Known Implementing Classes:
  `JSONFlowLoader`, `LegacyFlowLoader`

public interface FlowLoader
Interface to something that can load a Knowledge Flow

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFlowFileExtension()`
  Get the extension of the Knowledge Flow file format handled by this loader
  `String`
  `getFlowFileExtensionDescription()`
  Get a description of the flow file format handled by this loader
  `Flow`
  `readFlow(File flowFile)`
  Load a flow from the supplied file
  `Flow`
  `readFlow(InputStream is)`
  Load a flow from the supplied input stream
  `Flow`
  `readFlow(Reader r)`
  Load a flow from the supplied reader
  `void`
  `setLog(Logger log)`
  Set a log to use

- ## Method Details

  - ### setLog

    void setLog(Logger log)
    Set a log to use
    Parameters:
      `log` - log to use

  - ### getFlowFileExtension

    String getFlowFileExtension()
    Get the extension of the Knowledge Flow file format handled by this loader
    Returns:
      the flow file extension

  - ### getFlowFileExtensionDescription

    String getFlowFileExtensionDescription()
    Get a description of the flow file format handled by this loader
    Returns:
      a description of the file format handles

  - ### readFlow

    Flow readFlow(File flowFile) throws WekaException
    Load a flow from the supplied file
    Parameters:
      `flowFile` - the file to load from
    Returns:
      the loaded Flow
    Throws:
      `WekaException` - if a problem occurs

  - ### readFlow

    Flow readFlow(InputStream is) throws WekaException
    Load a flow from the supplied input stream
    Parameters:
      `is` - the input stream to load from
    Returns:
      the loaded Flow
    Throws:
      `WekaException` - if a problem occurs

  - ### readFlow

    Flow readFlow(Reader r) throws WekaException
    Load a flow from the supplied reader
    Parameters:
      `r` - the reader to load from
    Returns:
      the loaded Flow
    Throws:
      `WekaException` - if a problem occurs